Lines Matching +full:a +full:- +full:za +full:- +full:z0 +full:- +full:9 +full:-
2 # SPDX-License-Identifier: GPL-2.0
4 if [ $# -ne 2 ]
24 trap 'rm -f $OUTFILE $TMPFILE' EXIT
26 # SPDX-License-Identifier with GPL variants must have "WITH Linux-syscall-note"
27 if [ -n "$(sed -n -e "/SPDX-License-Identifier:.*GPL-/{/WITH Linux-syscall-note/!p}" $INFILE)" ]; t…
28 echo "error: $INFILE: missing \"WITH Linux-syscall-note\" for SPDX-License-Identifier" >&2
32 sed -E -e '
36 s/(^|[^a-zA-Z0-9])__packed([^a-zA-Z0-9_]|$)/\1__attribute__((packed))\2/g
41 scripts/unifdef -U__KERNEL__ -D__EXPORTED_HEADERS__ $TMPFILE > $OUTFILE
42 [ $? -gt 1 ] && exit 1
45 configs=$(sed -e '
68 # Please do not add a new entry. This list is only for existing ones.
71 # The format is <file-name>:<CONFIG-option> in each line.
92 if echo "$INFILE:$c" | grep -q "$ignore$"; then
99 echo "error: $INFILE: leak $c to user-space" >&2
104 rm -f $TMPFILE
105 trap - EXIT